/*
DCBouncer: bouncer / proxy for Direct Connect networks.
Copyright (C) 2008-2017 poy <poy@123gen.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "Math.h"

#include <cmath>
#include <cstdlib>
#include <ctime>

void Math::init()
{
	srand(static_cast<unsigned>(time(0)));
}

double Math::rand()
{
	return static_cast<double>(::rand() % RAND_MAX) / static_cast<double>(RAND_MAX);
}

uint32_t Math::rand(uint32_t low, uint32_t high)
{
	return floor(rand() * (high - low + 1)) + low;
}
